Index: /library/doc/html/inherit__graph__0.md5
===================================================================
--- /library/doc/html/inherit__graph__0.md5 (revision 472)
+++ /library/doc/html/inherit__graph__0.md5 (revision 608)
@@ -1,1 +1,1 @@
-191625fe45aabb6f108ad653c6037f32
+a8425d2edf3486a3300a3d3c543da68f
Index: /library/doc/html/inherit__graph__8.md5
===================================================================
--- /library/doc/html/inherit__graph__8.md5 (revision 591)
+++ /library/doc/html/inherit__graph__8.md5 (revision 608)
@@ -1,1 +1,1 @@
-9378053fd56cadda7e70cf99ae8f6714
+619c9ab8bac32379f84d9f5b39597aa2
Index: /library/doc/html/inherit__graph__14.dot
===================================================================
--- /library/doc/html/inherit__graph__14.dot (revision 591)
+++ /library/doc/html/inherit__graph__14.dot (revision 608)
@@ -4,4 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="UImxArray",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classUImxArray.html",tooltip="Class for writing Settings into Matlab&#39;s mxArray."];
+  Node1 [label="itpp::RandunStorage",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classitpp_1_1RandunStorage.html"];
 }
Index: /library/doc/html/inherit__graph__2.dot
===================================================================
--- /library/doc/html/inherit__graph__2.dot (revision 590)
+++ /library/doc/html/inherit__graph__2.dot (revision 608)
@@ -4,4 +4,6 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="bdm::shared_ptr\< enorm\< chmat \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1shared__ptr.html"];
+  Node1 [label="bdm::Designer",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1Designer.html",tooltip="Low-level class for design of control strategy."];
+  Node1 -> Node2 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node2 [label="bdm::LQG",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1LQG.html"];
 }
Index: /library/doc/html/inherit__graph__13.md5
===================================================================
--- /library/doc/html/inherit__graph__13.md5 (revision 591)
+++ /library/doc/html/inherit__graph__13.md5 (revision 608)
@@ -1,1 +1,1 @@
-f119ba963eeec3442e2bc9dc88f09205
+aaf2b2124244fa4d5003050b3728d909
Index: /library/doc/html/inherit__graph__1.md5
===================================================================
--- /library/doc/html/inherit__graph__1.md5 (revision 590)
+++ /library/doc/html/inherit__graph__1.md5 (revision 608)
@@ -1,1 +1,1 @@
-d4e57e5429a4d557fcfac2ef6c05c65e
+bfc24e36cc25457879779423c0eddd8c
Index: /library/doc/html/inherit__graph__9.md5
===================================================================
--- /library/doc/html/inherit__graph__9.md5 (revision 591)
+++ /library/doc/html/inherit__graph__9.md5 (revision 608)
@@ -1,1 +1,1 @@
-675377fbbea9dc99a6425ffd9bcfdcf5
+9378053fd56cadda7e70cf99ae8f6714
Index: /library/doc/html/inherit__graph__15.dot
===================================================================
--- /library/doc/html/inherit__graph__15.dot (revision 591)
+++ /library/doc/html/inherit__graph__15.dot (revision 608)
@@ -4,4 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="UImxConfig",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classUImxConfig.html",tooltip="Reimplementation of libconfig&#39;s Config class for Matlab mxArray structures."];
+  Node1 [label="UImxArray",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classUImxArray.html",tooltip="Class for writing Settings into Matlab&#39;s mxArray."];
 }
Index: /library/doc/html/inherit__graph__3.dot
===================================================================
--- /library/doc/html/inherit__graph__3.dot (revision 590)
+++ /library/doc/html/inherit__graph__3.dot (revision 608)
@@ -4,4 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="bdm::shared_ptr\< enorm\< fsqmat \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1shared__ptr.html"];
+  Node1 [label="bdm::shared_ptr\< enorm\< chmat \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1shared__ptr.html"];
 }
Index: /library/doc/html/inherit__graph__14.md5
===================================================================
--- /library/doc/html/inherit__graph__14.md5 (revision 591)
+++ /library/doc/html/inherit__graph__14.md5 (revision 608)
@@ -1,1 +1,1 @@
-9f4f7a54971427f9bde2972e5a2ba40d
+f119ba963eeec3442e2bc9dc88f09205
Index: /library/doc/html/inherit__graph__2.md5
===================================================================
--- /library/doc/html/inherit__graph__2.md5 (revision 590)
+++ /library/doc/html/inherit__graph__2.md5 (revision 608)
@@ -1,1 +1,1 @@
-d3334f7156caa69400ef5656092e0e8b
+d4e57e5429a4d557fcfac2ef6c05c65e
Index: /library/doc/html/formula.repository
===================================================================
--- /library/doc/html/formula.repository (revision 590)
+++ /library/doc/html/formula.repository (revision 608)
@@ -1,142 +1,142 @@
 \form#0:$f(x)$
 \form#1:$x$
-\form#2:\[ f(\theta_t | d_1,\ldots,d_t) = \frac{f(y_t|\theta_t,\cdot) f(\theta_t|d_1,\ldots,d_{t-1})}{f(y_t|d_1,\ldots,d_{t-1})} \]
-\form#3:$y_t$
-\form#4:$ c_t $
-\form#5:\[ f(\theta_t | c_t, d_1,\ldots,d_t) \propto f(y_t,\theta_t|c_t,\cdot, d_1,\ldots,d_{t-1}) \]
-\form#6:$x=$
-\form#7:$ x $
-\form#8:$ f_x()$
-\form#9:$ [x_1 , x_2 , \ldots \ $
-\form#10:$ f_x(rv)$
-\form#11:$x \sim epdf(rv|cond)$
-\form#12:$ t $
-\form#13:$ t+1 $
-\form#14:$ f(d_{t+1} |d_{t}, \ldots d_{0}) $
-\form#15:$t$
-\form#16:$[y_{t} y_{t-1} ...]$
-\form#17:$[y_t, u_t, y_{t-1 }, u_{t-1}, \ldots]$
-\form#18:$ f(x_t|x_{t-1}) $
-\form#19:$ f(d_t|x_t) $
-\form#20:\[ y_t = \theta_1 \psi_1 + \theta_2 + \psi_2 +\ldots + \theta_n \psi_n + r e_t \]
-\form#21:$[\theta r]$
-\form#22:$\psi=\psi(y_{1:t},u_{1:t})$
-\form#23:$u_t$
-\form#24:$e_t$
-\form#25:\[ e_t \sim \mathcal{N}(0,1). \]
-\form#26:$ y_t $
-\form#27:$\theta,r$
-\form#28:$ dt = [y_t psi_t] $
-\form#29:\[ x_t = A x_{t-1} + B u_t + Q^{1/2} e_t \]
-\form#30:\[ y_t = C x_{t-1} + C u_t + Q^{1/2} w_t. \]
-\form#31:\[ \left[\begin{array}{cc} R^{0.5}\\ P_{t|t-1}^{0.5}C' & P_{t|t-1}^{0.5}CA'\\ & Q^{0.5}\end{array}\right]<\mathrm{orth.oper.}>=\left[\begin{array}{cc} R_{y}^{0.5} & KA'\\ & P_{t+1|t}^{0.5}\\ \\\end{array}\right]\]
-\form#32:\[ f(y_t|\psi_t, \Theta) = \sum_{i=1}^{n} w_i f(y_t|\psi_t, \theta_i) \]
-\form#33:$\psi$
-\form#34:$w=[w_1,\ldots,w_n]$
-\form#35:$\theta_i$
-\form#36:$\Theta$
-\form#37:$\Theta = [\theta_1,\ldots,\theta_n,w]$
-\form#38:$A=Ch' Ch$
-\form#39:$Ch$
-\form#40:$f(x) = a$
-\form#41:$f(x) = Ax+B$
-\form#42:$f(x,u)$
-\form#43:$f(x,u) = Ax+Bu$
-\form#44:$f(x0,u0)$
-\form#45:$A=\frac{d}{dx}f(x,u)|_{x0,u0}$
-\form#46:$u$
-\form#47:$A=\frac{d}{du}f(x,u)|_{x0,u0}$
-\form#48:\[M = L'DL\]
-\form#49:$L$
-\form#50:$D$
-\form#51:$V = V + w v v'$
-\form#52:$C$
-\form#53:$V = C*V*C'$
-\form#54:$V = C'*V*C$
-\form#55:$V$
-\form#56:$x= v'*V*v$
-\form#57:$x= v'*inv(V)*v$
-\form#58:$U$
-\form#59:$A'D0 A$
-\form#60:$L'DL$
-\form#61:$A'*diag(D)*A = self.L'*diag(self.D)*self.L$
-\form#62:\[ f(rv|rvc) = \frac{f(rv,rvc)}{f(rvc)} \]
-\form#63:$ f(rvc) = \int f(rv,rvc) d\ rv $
-\form#64:\[ f(x) = \sum_{i=1}^{n} w_{i} f_i(x), \quad \sum_{i=1}^n w_i = 1. \]
-\form#65:$f_i(x)$
-\form#66:$p$
-\form#67:$p\times$
-\form#68:$n$
-\form#69:\[ f(x|\beta) = \frac{\Gamma[\gamma]}{\prod_{i=1}^{n}\Gamma(\beta_i)} \prod_{i=1}^{n}x_i^{\beta_i-1} \]
-\form#70:$\gamma=\sum_i \beta_i$
-\form#71:\[ f(x|\alpha,\beta) = \prod f(x_i|\alpha_i,\beta_i) \]
-\form#72:$\beta$
-\form#73:\[ x\sim iG(a,b) => 1/x\sim G(a,1/b) \]
-\form#74:$mu=A*rvc+mu_0$
-\form#75:$\mu$
-\form#76:$k$
-\form#77:$\alpha=k$
-\form#78:$\beta=k/\mu$
-\form#79:$\mu/\sqrt(k)$
-\form#80:$ \mu $
-\form#81:$ k $
-\form#82:$ \alpha=\mu/k^2+2 $
-\form#83:$ \beta=\mu(\alpha-1)$
-\form#84:$ \mu/\sqrt(k)$
-\form#85:$l$
-\form#86:\[ \mu = \mu_{t-1} ^{l} p^{1-l}\]
-\form#87:$ \log(x)\sim \mathcal{N}(\mu,\sigma^2) $
-\form#88:\[ x \sim \frac{1}{x\sigma\sqrt{2\pi}}\exp{-\frac{1}{2\sigma^2}(\log(x)-\mu)} \]
-\form#89:$\mathcal{I}$
-\form#90:$\theta$
-\form#91:$\alpha$
-\form#92:$ \Psi $
-\form#93:$ \nu $
-\form#94:$ \nu-p-1 $
-\form#95:$w$
-\form#96:$x^{(i)}, i=1..n$
-\form#97:\[ f(x_i|y_i), i=1..n \]
-\form#98:$ \cup [x_i,y_i] $
-\form#99:\[ f(z_i|y_i,x_i) f(x_i|y_i) f(y_i) i=1..n \]
-\form#100:$ z_i $
-\form#101:$ y_i={}, z_i={}, \forall i $
-\form#102:$ f(z_i|x_i,y_i) $
-\form#103:$ f(D) $
-\form#104:\[ f(a,b,c) = f(a|b,c) f(b) f(c) \]
-\form#105:$ f(a|b,c) $
-\form#106:$ f(b) $
-\form#107:$ f(c) $
-\form#108:\begin{eqnarray} x_t &= &A x_{t-1} + B u_{t} + v_t,\\ y_t &= &C x_{t} + D u_{t} + w_t, \end{eqnarray}
-\form#109:$ x_t $
-\form#110:$ A, B, C, D$
-\form#111:$v_t, w_t$
-\form#112:$Q, R$
-\form#113:\begin{eqnarray} x_t &= &g( x_{t-1}, u_{t}) + v_t,\\ y_t &= &h( x_{t} , u_{t}) + w_t, \end{eqnarray}
-\form#114:$ g(), h() $
-\form#115:\[ y_t = \theta' \psi_t + \rho e_t \]
-\form#116:$[\theta,\rho]$
-\form#117:$\psi_t$
-\form#118:$\mathcal{N}(0,1)$
-\form#119:\[ V_t = \sum_{i=0}^{n} \left[\begin{array}{c}y_{t}\\ \psi_{t}\end{array}\right] \begin{array}{c} [y_{t}',\,\psi_{t}']\\ \\\end{array} \]
-\form#120:\[ \nu_t = \sum_{i=0}^{n} 1 \]
-\form#121:$ \theta_t , r_t $
-\form#122:\[ V_t = \phi V_{t-1} + \left[\begin{array}{c}y_{t}\\ \psi_{t}\end{array}\right] \begin{array}{c} [y_{t}',\,\psi_{t}']\\ \\\end{array} +(1-\phi) V_0 \]
-\form#123:\[ \nu_t = \phi \nu_{t-1} + 1 + (1-\phi) \nu_0 \]
-\form#124:$ \phi $
-\form#125:$ \phi \in [0,1]$
-\form#126:\[ \mathrm{win_length} = \frac{1}{1-\phi}\]
-\form#127:$ \phi=0.9 $
-\form#128:$ V_0 , \nu_0 $
-\form#129:$ V_t , \nu_t $
-\form#130:$ \phi<1 $
-\form#131:$ f(d_{t+1} |d_{t+h-1}, \ldots d_{t}) $
-\form#132:$ f( x | y) $
-\form#133:$ y $
-\form#134:$ \mu=A*\mbox{rvc}+\mu_0 $
-\form#135:$ \Lambda $
-\form#136:$ R $
-\form#137:$ R_e $
-\form#138:\[ L(y,u) = (y-y_{req})'Q_y (y-y_{req}) + (u-u_{req})' Q_u (u-u_{req}) \]
-\form#139:\[ x_{t+1} = Ax_t + B u_t + R^{1/2} e_t, y_t=Cx_t+Du_t + R^{1/2}w_t, \]
-\form#140:\[ y_t = a y_{t-1} + b u_{t-1}\]
-\form#141:$ x_t = [y_{t-1}, u_{t-1}] $
+\form#2:$ f( x | y) $
+\form#3:$ x $
+\form#4:$ y $
+\form#5:$ u_t $
+\form#6:$ y_t $
+\form#7:$ d_t=[y_t,u_t, \ldots ]$
+\form#8:\[ f(\theta_t | d_1,\ldots,d_t) = \frac{f(y_t|\theta_t,\cdot) f(\theta_t|d_1,\ldots,d_{t-1})}{f(y_t|d_1,\ldots,d_{t-1})} \]
+\form#9:$y_t$
+\form#10:$ c_t $
+\form#11:\[ f(\theta_t | c_t, d_1,\ldots,d_t) \propto f(y_t,\theta_t|c_t,\cdot, d_1,\ldots,d_{t-1}) \]
+\form#12:$x=$
+\form#13:$ f_x()$
+\form#14:$ [x_1 , x_2 , \ldots \ $
+\form#15:$ f_x(rv)$
+\form#16:$x \sim epdf(rv|cond)$
+\form#17:$[Up_{t-1},Up_{t-2}, \ldots]$
+\form#18:$ t $
+\form#19:$ t+1 $
+\form#20:$ f(d_{t+1} |d_{t}, \ldots d_{0}) $
+\form#21:$ f(d_{t+1} |d_{t+h-1}, \ldots d_{t}) $
+\form#22:$t$
+\form#23:$[y_{t} y_{t-1} ...]$
+\form#24:$[y_t, u_t, y_{t-1 }, u_{t-1}, \ldots]$
+\form#25:$ f(x_t|x_{t-1}) $
+\form#26:$ f(d_t|x_t) $
+\form#27:\[ L(y,u) = (y-y_{req})'Q_y (y-y_{req}) + (u-u_{req})' Q_u (u-u_{req}) \]
+\form#28:\[ y_t = \theta_1 \psi_1 + \theta_2 + \psi_2 +\ldots + \theta_n \psi_n + r e_t \]
+\form#29:$[\theta r]$
+\form#30:$\psi=\psi(y_{1:t},u_{1:t})$
+\form#31:$u_t$
+\form#32:$e_t$
+\form#33:\[ e_t \sim \mathcal{N}(0,1). \]
+\form#34:$\theta,r$
+\form#35:$ dt = [y_t psi_t] $
+\form#36:\[ x_t = A x_{t-1} + B u_t + Q^{1/2} e_t \]
+\form#37:\[ y_t = C x_{t-1} + C u_t + Q^{1/2} w_t. \]
+\form#38:\[ x_{t+1} = Ax_t + B u_t + R^{1/2} e_t, y_t=Cx_t+Du_t + R^{1/2}w_t, \]
+\form#39:\[ \left[\begin{array}{cc} R^{0.5}\\ P_{t|t-1}^{0.5}C' & P_{t|t-1}^{0.5}CA'\\ & Q^{0.5}\end{array}\right]<\mathrm{orth.oper.}>=\left[\begin{array}{cc} R_{y}^{0.5} & KA'\\ & P_{t+1|t}^{0.5}\\ \\\end{array}\right]\]
+\form#40:\[ f(y_t|\psi_t, \Theta) = \sum_{i=1}^{n} w_i f(y_t|\psi_t, \theta_i) \]
+\form#41:$\psi$
+\form#42:$w=[w_1,\ldots,w_n]$
+\form#43:$\theta_i$
+\form#44:$\Theta$
+\form#45:$\Theta = [\theta_1,\ldots,\theta_n,w]$
+\form#46:$A=Ch' Ch$
+\form#47:$Ch$
+\form#48:$f(x) = a$
+\form#49:$f(x) = Ax+B$
+\form#50:$f(x,u)$
+\form#51:$f(x,u) = Ax+Bu$
+\form#52:$f(x0,u0)$
+\form#53:$A=\frac{d}{dx}f(x,u)|_{x0,u0}$
+\form#54:$u$
+\form#55:$A=\frac{d}{du}f(x,u)|_{x0,u0}$
+\form#56:\[M = L'DL\]
+\form#57:$L$
+\form#58:$D$
+\form#59:$V = V + w v v'$
+\form#60:$C$
+\form#61:$V = C*V*C'$
+\form#62:$V = C'*V*C$
+\form#63:$V$
+\form#64:$x= v'*V*v$
+\form#65:$x= v'*inv(V)*v$
+\form#66:$U$
+\form#67:$A'D0 A$
+\form#68:$L'DL$
+\form#69:$A'*diag(D)*A = self.L'*diag(self.D)*self.L$
+\form#70:\[ f(rv|rvc) = \frac{f(rv,rvc)}{f(rvc)} \]
+\form#71:$ f(rvc) = \int f(rv,rvc) d\ rv $
+\form#72:\[ f(x) = \sum_{i=1}^{n} w_{i} f_i(x), \quad \sum_{i=1}^n w_i = 1. \]
+\form#73:$f_i(x)$
+\form#74:$p$
+\form#75:$p\times$
+\form#76:$n$
+\form#77:\[ f(x|\beta) = \frac{\Gamma[\gamma]}{\prod_{i=1}^{n}\Gamma(\beta_i)} \prod_{i=1}^{n}x_i^{\beta_i-1} \]
+\form#78:$\gamma=\sum_i \beta_i$
+\form#79:\[ f(x|\alpha,\beta) = \prod f(x_i|\alpha_i,\beta_i) \]
+\form#80:$\beta$
+\form#81:\[ x\sim iG(a,b) => 1/x\sim G(a,1/b) \]
+\form#82:$ \mu=A*\mbox{rvc}+\mu_0 $
+\form#83:$\mu$
+\form#84:$k$
+\form#85:$\alpha=k$
+\form#86:$\beta=k/\mu$
+\form#87:$\mu/\sqrt(k)$
+\form#88:$ \mu $
+\form#89:$ k $
+\form#90:$ \alpha=\mu/k^2+2 $
+\form#91:$ \beta=\mu(\alpha-1)$
+\form#92:$ \mu/\sqrt(k)$
+\form#93:$l$
+\form#94:\[ \mu = \mu_{t-1} ^{l} p^{1-l}\]
+\form#95:$ \log(x)\sim \mathcal{N}(\mu,\sigma^2) $
+\form#96:\[ x \sim \frac{1}{x\sigma\sqrt{2\pi}}\exp{-\frac{1}{2\sigma^2}(\log(x)-\mu)} \]
+\form#97:$\mathcal{I}$
+\form#98:$\theta$
+\form#99:$\alpha$
+\form#100:$ \Lambda $
+\form#101:$ R $
+\form#102:$ R_e $
+\form#103:$ \Psi $
+\form#104:$ \nu $
+\form#105:$ \nu-p-1 $
+\form#106:$w$
+\form#107:$x^{(i)}, i=1..n$
+\form#108:\[ f(x_i|y_i), i=1..n \]
+\form#109:$ \cup [x_i,y_i] $
+\form#110:\[ f(z_i|y_i,x_i) f(x_i|y_i) f(y_i) i=1..n \]
+\form#111:$ z_i $
+\form#112:$ y_i={}, z_i={}, \forall i $
+\form#113:$ f(z_i|x_i,y_i) $
+\form#114:$ f(D) $
+\form#115:\[ f(a,b,c) = f(a|b,c) f(b) f(c) \]
+\form#116:$ f(a|b,c) $
+\form#117:$ f(b) $
+\form#118:$ f(c) $
+\form#119:\begin{eqnarray} x_t &= &A x_{t-1} + B u_{t} + v_t,\\ y_t &= &C x_{t} + D u_{t} + w_t, \end{eqnarray}
+\form#120:$ x_t $
+\form#121:$ A, B, C, D$
+\form#122:$v_t, w_t$
+\form#123:$Q, R$
+\form#124:\begin{eqnarray} x_t &= &g( x_{t-1}, u_{t}) + v_t,\\ y_t &= &h( x_{t} , u_{t}) + w_t, \end{eqnarray}
+\form#125:$ g(), h() $
+\form#126:\[ y_t = \theta' \psi_t + \rho e_t \]
+\form#127:$[\theta,\rho]$
+\form#128:$\psi_t$
+\form#129:$\mathcal{N}(0,1)$
+\form#130:\[ V_t = \sum_{i=0}^{n} \left[\begin{array}{c}y_{t}\\ \psi_{t}\end{array}\right] \begin{array}{c} [y_{t}',\,\psi_{t}']\\ \\\end{array} \]
+\form#131:\[ \nu_t = \sum_{i=0}^{n} 1 \]
+\form#132:$ \theta_t , r_t $
+\form#133:\[ V_t = \phi V_{t-1} + \left[\begin{array}{c}y_{t}\\ \psi_{t}\end{array}\right] \begin{array}{c} [y_{t}',\,\psi_{t}']\\ \\\end{array} +(1-\phi) V_0 \]
+\form#134:\[ \nu_t = \phi \nu_{t-1} + 1 + (1-\phi) \nu_0 \]
+\form#135:$ \phi $
+\form#136:$ \phi \in [0,1]$
+\form#137:\[ \mathrm{win_length} = \frac{1}{1-\phi}\]
+\form#138:$ \phi=0.9 $
+\form#139:$ V_0 , \nu_0 $
+\form#140:$ V_t , \nu_t $
+\form#141:$ \phi<1 $
Index: /library/doc/html/inherit__graph__16.dot
===================================================================
--- /library/doc/html/inherit__graph__16.dot (revision 608)
+++ /library/doc/html/inherit__graph__16.dot (revision 608)
@@ -0,0 +1,7 @@
+digraph G
+{
+  edge [fontname="FreeSans",fontsize="10",labelfontname="FreeSans",labelfontsize="10"];
+  node [fontname="FreeSans",fontsize="10",shape=record];
+  rankdir=LR;
+  Node1 [label="UImxConfig",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classUImxConfig.html",tooltip="Reimplementation of libconfig&#39;s Config class for Matlab mxArray structures."];
+}
Index: /library/doc/html/inherit__graph__4.dot
===================================================================
--- /library/doc/html/inherit__graph__4.dot (revision 591)
+++ /library/doc/html/inherit__graph__4.dot (revision 608)
@@ -4,6 +4,4 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="bdm::shared_ptr\< T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1shared__ptr.html",tooltip="A naive implementation of roughly a subset of the std::tr1::shared_ptr spec."];
-  Node1 -> Node2 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node2 [label="bdm::object_ptr\< T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1object__ptr.html",tooltip="A wrapper of shared_ptr which is never empty."];
+  Node1 [label="bdm::shared_ptr\< enorm\< fsqmat \> \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1shared__ptr.html"];
 }
Index: /library/doc/html/inherit__graph__15.md5
===================================================================
--- /library/doc/html/inherit__graph__15.md5 (revision 591)
+++ /library/doc/html/inherit__graph__15.md5 (revision 608)
@@ -1,1 +1,1 @@
-4a691ebf11f6a0ad02dda73c0c8bfac0
+9f4f7a54971427f9bde2972e5a2ba40d
Index: /library/doc/html/inherit__graph__3.md5
===================================================================
--- /library/doc/html/inherit__graph__3.md5 (revision 590)
+++ /library/doc/html/inherit__graph__3.md5 (revision 608)
@@ -1,1 +1,1 @@
-5bbfab06d6c9aea2b3daddbfb4441815
+d3334f7156caa69400ef5656092e0e8b
Index: /library/doc/html/inherit__graph__5.dot
===================================================================
--- /library/doc/html/inherit__graph__5.dot (revision 591)
+++ /library/doc/html/inherit__graph__5.dot (revision 608)
@@ -4,10 +4,6 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="bdm::sqmat",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1sqmat.html",tooltip="Abstract class for representation of double symmetric matrices in square-root form..."];
+  Node1 [label="bdm::shared_ptr\< T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1shared__ptr.html",tooltip="A naive implementation of roughly a subset of the std::tr1::shared_ptr spec."];
   Node1 -> Node2 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node2 [label="bdm::chmat",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1chmat.html",tooltip="Symmetric matrix stored in square root decomposition using upper cholesky."];
-  Node1 -> Node3 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node3 [label="bdm::fsqmat",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1fsqmat.html",tooltip="Fake sqmat. This class maps sqmat operations to operations on full matrix."];
-  Node1 -> Node4 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
-  Node4 [label="bdm::ldmat",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1ldmat.html",tooltip="Matrix stored in LD form, (commonly known as UD)."];
+  Node2 [label="bdm::object_ptr\< T \>",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1object__ptr.html",tooltip="A wrapper of shared_ptr which is never empty."];
 }
Index: /library/doc/html/inherit__graph__16.md5
===================================================================
--- /library/doc/html/inherit__graph__16.md5 (revision 608)
+++ /library/doc/html/inherit__graph__16.md5 (revision 608)
@@ -0,0 +1,1 @@
+4a691ebf11f6a0ad02dda73c0c8bfac0
Index: /library/doc/html/inherit__graph__4.md5
===================================================================
--- /library/doc/html/inherit__graph__4.md5 (revision 591)
+++ /library/doc/html/inherit__graph__4.md5 (revision 608)
@@ -1,1 +1,1 @@
-0e9ac3df82935a31aea783fee4e7e763
+5bbfab06d6c9aea2b3daddbfb4441815
Index: /library/doc/html/inherit__graph__10.dot
===================================================================
--- /library/doc/html/inherit__graph__10.dot (revision 591)
+++ /library/doc/html/inherit__graph__10.dot (revision 608)
@@ -4,4 +4,8 @@
   node [fontname="FreeSans",fontsize="10",shape=record];
   rankdir=LR;
-  Node1 [label="bdm::UIFile",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UIFile.html",tooltip="This class serves to load and/or save user-infos into/from configuration files stored..."];
+  Node1 [label="bdm::UIException",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UIException.html"];
+  Node1 -> Node2 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node2 [label="bdm::UIClassException",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UIClassException.html"];
+  Node1 -> Node3 [dir=back,color="midnightblue",fontsize="10",style="solid",fontname="FreeSans"];
+  Node3 [label="bdm::UISettingException",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1UISettingException.html"];
 }
